org.hibernate.search.query.dsl.impl

## Class ConnectedFacetRangeAboveContext<T>

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedFacetParameterContext
  - - org.hibernate.search.query.dsl.impl.ConnectedFacetRangeAboveContext<T>

- All Implemented Interfaces:
    FacetParameterContext, FacetRangeAboveContext<T>, FacetTermination

      public class ConnectedFacetRangeAboveContext<T>
      extends ConnectedFacetParameterContext
      implements FacetRangeAboveContext<T>

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedFacetRangeAboveContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetingRequest` | `createFacetingRequest()`
    `FacetRangeAboveContext<T>` | `excludeLimit()`

    - ### Methods inherited from class org.hibernate.search.query.dsl.impl.ConnectedFacetParameterContext

      `includeZeroCounts, maxFacetCount, orderedBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.FacetParameterContext

      `includeZeroCounts, maxFacetCount, orderedBy`

- - ### Constructor Detail

    - #### ConnectedFacetRangeAboveContext

          public ConnectedFacetRangeAboveContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)

  - ### Method Detail

    - #### excludeLimit

          public FacetRangeAboveContext<T> excludeLimit()

      Specified by:
        `excludeLimit` in interface `FacetRangeAboveContext<T>`

    - #### createFacetingRequest

          public FacetingRequest createFacetingRequest()

      Specified by:
        `createFacetingRequest` in interface `FacetTermination`
      Overrides:
        `createFacetingRequest` in class `ConnectedFacetParameterContext`
      Returns:
        the `FacetingRequest` produced by the building process.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved